Summary: GNOME default icons
Name: gnome-icon-theme
Version: 3.14.0
Release: %mkrel 2
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1: mdk-icons.tar.xz
Source2: nuoveXT2.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: perl-XML-Parser
BuildRequires: hicolor-icon-theme
BuildRequires: icon-naming-utils
BuildArch: 	noarch
Requires: 	hicolor-icon-theme
Obsoletes:	gnome-icon-theme-legacy
Provides:	gnome-icon-theme-legacy = %{version}-%release
Obsoletes:	%name < %version

%description
GNOME default icons

#german
%description -l de
GNOME default icons

%prep
%setup -q -n %{name}-%{version}

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons
unxz -c %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}/icons

rm -rf %buildroot/%{_datadir}/icons/gnome/scalable/emblems/emblem-shared.svg

touch %buildroot%{_datadir}/icons/gnome/icon-theme.cache
touch %buildroot%{_datadir}/icons/nuoveXT2/icon-theme.cache

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.filter << EOF
^./usr/share/icons/gnome/
EOF

cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/gnome
fi
EOF

chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.script


install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-nuoveXT2.filter << EOF
^./usr/share/icons/nuoveXT-aero/
EOF

cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-nuoveXT2.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/nuoveXT2
fi
EOF

chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-nuoveXT2.script



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache nuoveXT2
%update_icon_cache gnome

%postun
%clean_icon_cache nuoveXT2
%clean_icon_cache gnome

%files
%defattr(-,root,root,-)
%doc NEWS TODO
%dir %{_datadir}/icons/gnome
%{_datadir}/icons/gnome/*x*
%{_datadir}/pkgconfig/%{name}.pc
%ghost %{_datadir}/icons/gnome/icon-theme.cache
%{_datadir}/icons/nuoveXT2/
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-*.*


%changelog
* Mon Sep 26 2016 bb <bb> 3.13.0-2pclos2016
- update

* Sat Jul 11 2015 bb <bb> 3.14.0-1pclos2015
- update 

* Thu Apr 17 2014 bb <bb> 3.12.0-1pclos2014
- update

* Sat Feb 15 2014 bb <bb> 3.11.5-2pclos2014
- drop mdk icons

